Index: /trunk/launch/launch/README
===================================================================
--- /trunk/launch/launch/README	(revision 308)
+++ /trunk/launch/launch/README	(revision 309)
@@ -1,4 +1,4 @@
-launch 1.1d2 [unreleased]
-============
+launch 1.1 [30 October 2006]
+==========
 
 A command-line launcher for Mac OS X in the spirit of open(1).
@@ -105,5 +105,5 @@
     e() {
       ( emacsclient -n $@ >&/dev/null && \
-	appswitch -a Emacs ) || \
+        appswitch -a Emacs ) || \
       ( launch -ba Emacs && \
   	until { emacsclient -n $@ >&/dev/null } do sleep 1; done;
@@ -223,8 +223,9 @@
 ---------------
 
-1.1 - unreleased
+1.1 - 30 October 2006
  - -L: send "launch" (ascr/noop) event to app, bypasses automatic
    opening of untitled document, etc.
- - -o: pass command-line arguments (broken, r. 4474993)
+ - -o: pass command-line arguments (undocumented while still broken,
+   r. 4474993)
  - display content type ID (UTI)    
  - display architecture of Mach-O files
Index: /trunk/launch/launch/VERSION
===================================================================
--- /trunk/launch/launch/VERSION	(revision 308)
+++ /trunk/launch/launch/VERSION	(revision 309)
@@ -1,1 +1,1 @@
-1.1b1
+1.1
Index: /trunk/launch/launch/launch.1
===================================================================
--- /trunk/launch/launch/launch.1	(revision 308)
+++ /trunk/launch/launch/launch.1	(revision 309)
@@ -1,5 +1,5 @@
-.Dd Sun Apr 3 2005       \" DATE 
+.Dd Mon Oct 30 2006      \" DATE 
 .Dt LAUNCH 1 LOCAL	 \" Program name and manual section number 
-.Os launch 1.0.1
+.Os launch 1.1
 .Sh NAME
 .Nm launch
@@ -7,13 +7,13 @@
 .Sh SYNOPSIS
 .Nm launch
-.Op Fl npswbmhCXU        \" [-npswbmhCXU]
-.Op Fl c Ar creator      \" [-c creator]
-.Op Fl i Ar bundleID     \" [-i bundleID]
-.Op Fl u Ar URL          \" [-u URL]
-.Op Fl a Ar name         \" [-a name]
-.Op Ar item ...          \" [item ...]
-.Op Ar -                 \" [-]
+.Op Fl npswbmhCXLU          \" [-npswbmhCXLU]
+.Op Fl c Ar creator         \" [-c creator]
+.Op Fl i Ar bundleID        \" [-i bundleID]
+.Op Fl u Ar URL             \" [-u URL]
+.Op Fl a Ar name | Ar path  \" [-a name|path]
+.Op Ar item ...             \" [item ...]
+.Op Ar -                    \" [-]
 .Nm 
-.Op Fl npflswbmhCXU
+.Op Fl npflswbmhCXLU
 .Ar item ...
 .Sh DESCRIPTION
@@ -24,5 +24,5 @@
 command and opens a file (or a folder/directory or URL), as if you had
 double-clicked its icon in the Finder. If no application is specified,
-the default application determined by LaunchServices is used to open
+the default application determined by Launch Services is used to open
 items.
 .Pp
@@ -66,4 +66,9 @@
 .Ar URL
 (which must be a file:// URL).
+.It Fl a Ar name | Ar path
+Match application named
+.Ar name
+or at the path
+.Ar path .
 .El
 .Pp
@@ -99,4 +104,8 @@
 Don't start the Classic environment for this Classic application if
 Classic isn't running.
+.It Fl L
+Suppress the normal opening behavior of the application; for example,
+opening an untitled document.  (This works by sending a "launch", or
+ascr/noop, Apple event to the application.)
 .It Fl U
 Interpret items as URLs, even if files with the same names as the URLs
@@ -112,15 +121,4 @@
 .Xr open 1
 .Sh BUGS              \" Document known, unremedied bugs
-Launching may be very slow on Mac OS X 10.2.8 and earlier; this is an
-acknowledged Mac OS X bug with no known workaround, and may affect
-Apple's
-.Xr open 1
-command as well in certain cases.  It is fixed in Mac OS X 10.3.
-.Pp
-The
-.Fl m
-option may not work well (or at all) before Mac OS X 10.3 because of
-Mac OS X bugs.
-.Pp
 The
 .Fl h
@@ -129,9 +127,9 @@
 option to be used as well, or Cocoa applications will not hide on
 startup.  This is a Mac OS X bug which is still unfixed as of Mac OS X
-10.3.
+10.4.8.
 .Sh AUTHOR
 .An "Nicholas Riley" Aq launchsw@sabi.net
 .Pp
-This page written in part by
+Original man page written by
 .An "Hisashi T Fujinaka" Aq htodd@twofifty.com .
 .\" .Sh HISTORY           \" Document history if command behaves in a unique manner 
Index: /trunk/launch/launch/main.c
===================================================================
--- /trunk/launch/launch/main.c	(revision 308)
+++ /trunk/launch/launch/main.c	(revision 309)
@@ -17,4 +17,5 @@
 
 #define BROKEN_AUTHORIZATION 1
+#define BROKEN_ARGUMENTS 1
 #define kComponentSignatureString "launch"
 
@@ -36,5 +37,5 @@
 const char *APP_NAME;
 
-#define VERSION "1.1b1"
+#define VERSION "1.1"
 
 #define STRBUF_LEN 1024
@@ -95,6 +96,10 @@
 
 void usage() {
-    fprintf(stderr, "usage: %s [-npswbmhCXLU] [-c creator] [-i bundleID] [-u URL] [-a name] [-o argument] [item ...] [-]\n"
-                    "   or: %s [-npflswbmhCXLU] [-o argument] item ...\n", APP_NAME, APP_NAME);
+    fprintf(stderr, "usage: %s [-npswbmhCXLU] [-c creator] [-i bundleID] [-u URL] [-a name|path] [-o argument] [item ...] [-]\n"
+                    "   or: %s [-npflswbmhCXLU] "
+#ifndef BROKEN_ARGUMENTS
+                    "[-o argument] "
+#endif
+                    "item ...\n", APP_NAME, APP_NAME);
     fprintf(stderr,
         "  -n            print matching paths/URLs instead of opening them\n"
@@ -117,5 +122,7 @@
         "  -u URL        open application at file:// URL (NOT RECOMMENDED for scripts)\n"
         "  -a name|path  match application by name/path (NOT RECOMMENDED, very fragile)\n"
+#ifndef BROKEN_ARGUMENTS
         "  -o argument   pass argument to application (may be specified more than once)\n"
+#endif
         "'document' may be a file, folder, or disk - whatever the application can open.\n"
         "'item' may be a file, folder, disk, or URL.\n\n");
@@ -416,4 +423,5 @@
 	    appSpecified = true;
 	    break;
+#ifndef BROKEN_ARGUMENTS
         case 'o':
             if (LPARAMS.argv == NULL)
@@ -422,4 +430,5 @@
                                CFStringCreateWithCString(NULL, optarg, kCFStringEncodingUTF8));
             break;
+#endif
         default: usage();
         }