Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2	(revision 279)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2	(revision 319)
@@ -186,5 +186,46 @@
 	<array/>
 	<key>OpenEditors</key>
-	<array/>
+	<array>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E189CCCB0C1CD955003035DA</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>ICeCoffEEServicePrefController.m</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E189CCCC0C1CD955003035DA</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>ICeCoffEEServicePrefController.m</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E189CCCD0C1CD955003035DA</string>
+						<key>history</key>
+						<array>
+							<string>E189CCCA0C1CD946003035DA</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {841, 947}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>590 29 841 967 0 0 1680 1028 </string>
+			</dict>
+		</dict>
+	</array>
 	<key>PerspectiveWidths</key>
 	<array>
@@ -252,18 +293,19 @@
 										<string>29B97315FDCFA39411CA2CEA</string>
 										<string>E1AFA51C03ECFDB000050001</string>
-										<string>E14343AE03DB48F700050002</string>
+										<string>E12FEC3C04959F1C00AEFBF9</string>
 										<string>E1BF159F03DBA81600050002</string>
 										<string>29B97317FDCFA39411CA2CEA</string>
+										<string>19C28FACFE9D520D11CA2CBB</string>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateSelectionKey</key>
 									<array>
 										<array>
-											<integer>52</integer>
-											<integer>51</integer>
+											<integer>39</integer>
+											<integer>37</integer>
 											<integer>0</integer>
 										</array>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-									<string>{{0, 433}, {298, 621}}</string>
+									<string>{{0, 601}, {298, 621}}</string>
 								</dict>
 								<key>PBXTopSmartGroupGIDs</key>
@@ -284,5 +326,5 @@
 								</array>
 								<key>RubberWindowFrame</key>
-								<string>655 39 315 707 0 0 1024 746 </string>
+								<string>1356 321 315 707 0 0 1680 1028 </string>
 							</dict>
 							<key>Module</key>
@@ -323,5 +365,4 @@
 									<array>
 										<array>
-											<integer>4</integer>
 											<integer>0</integer>
 										</array>
@@ -424,6 +465,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E1F9B7450A748C74007E20A3</string>
-				<string>E1F9B7460A748C74007E20A3</string>
+				<string>E189C9340C1B8A76003035DA</string>
+				<string>E189C9350C1B8A76003035DA</string>
 				<string>1C9437FD063B20B00039CFAC</string>
 				<string>1C9437FE063B20B00039CFAC</string>
@@ -449,5 +490,5 @@
 	<true/>
 	<key>ToolbarSizeMode</key>
-	<integer>1</integer>
+	<integer>2</integer>
 	<key>Type</key>
 	<string>Perspectives</string>
@@ -458,9 +499,19 @@
 	<key>WindowOrderList</key>
 	<array>
+		<string>E18B4838082F0937000E96F5</string>
+		<string>1C335F2C07B51CD20023D4EE</string>
+		<string>E189CABE0C1BBB21003035DA</string>
+		<string>E189CABF0C1BBB21003035DA</string>
+		<string>1C530D5B069F1CE1000CFCEE</string>
+		<string>1C530D57069F1CE1000CFCEE</string>
 		<string>1C530D52069F1CE1000CFCEE</string>
+		<string>1C530D54069F1CE1000CFCEE</string>
+		<string>E189C9440C1B8A76003035DA</string>
+		<string>1C0AD2B3069F1EA900FABCE6</string>
 		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
+		<string>E189CCCB0C1CD955003035DA</string>
 	</array>
 	<key>WindowString</key>
-	<string>655 39 315 707 0 0 1024 746 </string>
+	<string>1356 321 315 707 0 0 1680 1028 </string>
 	<key>WindowTools</key>
 	<array>
@@ -519,9 +570,9 @@
 									<array>
 										<array>
-											<integer>0</integer>
+											<integer>15</integer>
 										</array>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-									<string>{{0, 0}, {245, 350}}</string>
+									<string>{{0, 7}, {245, 350}}</string>
 								</dict>
 								<key>PBXTopSmartGroupGIDs</key>
@@ -540,5 +591,5 @@
 								</array>
 								<key>RubberWindowFrame</key>
-								<string>387 731 744 409 0 0 1600 1178 </string>
+								<string>423 589 744 409 0 0 1680 1028 </string>
 							</dict>
 							<key>Module</key>
@@ -548,4 +599,6 @@
 						</dict>
 						<dict>
+							<key>BecomeActive</key>
+							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -560,5 +613,5 @@
 								<string>{{267, 0}, {477, 368}}</string>
 								<key>RubberWindowFrame</key>
-								<string>387 731 744 409 0 0 1600 1178 </string>
+								<string>423 589 744 409 0 0 1680 1028 </string>
 							</dict>
 							<key>Module</key>
@@ -584,5 +637,5 @@
 			<array>
 				<string>1C335F2C07B51CD20023D4EE</string>
-				<string>E18B49AB082F12B8000E96F5</string>
+				<string>E189CBC30C1CAFEA003035DA</string>
 				<string>1CE0B1FE06471DED0097A5F4</string>
 				<string>1CA1AED706398EBD00589147</string>
@@ -591,5 +644,5 @@
 			<string>xcode.toolbar.config.default</string>
 			<key>WindowString</key>
-			<string>387 731 744 409 0 0 1600 1178 </string>
+			<string>423 589 744 409 0 0 1680 1028 </string>
 			<key>WindowToolGUID</key>
 			<string>1C335F2C07B51CD20023D4EE</string>
@@ -628,5 +681,5 @@
 								<string>{{0, 0}, {868, 0}}</string>
 								<key>RubberWindowFrame</key>
-								<string>2 104 868 452 0 0 1024 746 </string>
+								<string>648 51 868 452 0 0 1680 1028 </string>
 							</dict>
 							<key>Module</key>
@@ -641,5 +694,5 @@
 							<dict>
 								<key>PBXBuildLogShowsTranscriptDefaultKey</key>
-								<string>{{0, 126}, {868, 301}}</string>
+								<string>{{0, 267}, {868, 160}}</string>
 								<key>PBXProjectModuleGUID</key>
 								<string>XCMainBuildResultsModuleGUID</string>
@@ -656,5 +709,5 @@
 								<string>{{0, 5}, {868, 427}}</string>
 								<key>RubberWindowFrame</key>
-								<string>2 104 868 452 0 0 1024 746 </string>
+								<string>648 51 868 452 0 0 1680 1028 </string>
 							</dict>
 							<key>Module</key>
@@ -679,5 +732,5 @@
 			<array>
 				<string>1C530D52069F1CE1000CFCEE</string>
-				<string>E1F9B80B0A749296007E20A3</string>
+				<string>E189C93D0C1B8A76003035DA</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
@@ -686,9 +739,9 @@
 			<string>xcode.toolbar.config.build</string>
 			<key>WindowString</key>
-			<string>2 104 868 452 0 0 1024 746 </string>
+			<string>648 51 868 452 0 0 1680 1028 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D52069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<true/>
+			<false/>
 		</dict>
 		<dict>
@@ -721,6 +774,6 @@
 										<key>sizes</key>
 										<array>
-											<string>{{0, 0}, {329, 174}}</string>
-											<string>{{329, 0}, {388, 174}}</string>
+											<string>{{0, 0}, {364, 302}}</string>
+											<string>{{364, 0}, {438, 302}}</string>
 										</array>
 									</dict>
@@ -737,6 +790,6 @@
 										<key>sizes</key>
 										<array>
-											<string>{{0, 0}, {717, 174}}</string>
-											<string>{{0, 174}, {717, 243}}</string>
+											<string>{{0, 0}, {802, 302}}</string>
+											<string>{{0, 302}, {802, 303}}</string>
 										</array>
 									</dict>
@@ -760,16 +813,16 @@
 								<string>{{200, 200}, {500, 300}}</string>
 								<key>Frame</key>
-								<string>{{0, 0}, {717, 417}}</string>
+								<string>{{0, 0}, {802, 605}}</string>
 								<key>RubberWindowFrame</key>
-								<string>708 700 717 437 0 0 1600 1178 </string>
+								<string>46 204 802 625 0 0 1680 1028 </string>
 							</dict>
 							<key>Module</key>
 							<string>PBXDebugSessionModule</string>
 							<key>Proportion</key>
-							<string>417pt</string>
+							<string>605pt</string>
 						</dict>
 					</array>
 					<key>Proportion</key>
-					<string>417pt</string>
+					<string>605pt</string>
 				</dict>
 			</array>
@@ -785,17 +838,17 @@
 			<array>
 				<string>1C530D54069F1CE1000CFCEE</string>
-				<string>E170E09B083655F400B484AC</string>
+				<string>E189C93E0C1B8A76003035DA</string>
 				<string>1C162984064C10D400B95A72</string>
-				<string>E170E09C083655F400B484AC</string>
-				<string>E170E09D083655F400B484AC</string>
-				<string>E170E09E083655F400B484AC</string>
-				<string>E170E09F083655F400B484AC</string>
-				<string>E170E0A0083655F400B484AC</string>
-				<string>E170E0A1083655F400B484AC</string>
+				<string>E189C93F0C1B8A76003035DA</string>
+				<string>E189C9400C1B8A76003035DA</string>
+				<string>E189C9410C1B8A76003035DA</string>
+				<string>E189C9420C1B8A76003035DA</string>
+				<string>E189C9430C1B8A76003035DA</string>
+				<string>E189C9440C1B8A76003035DA</string>
 			</array>
 			<key>ToolbarConfiguration</key>
 			<string>xcode.toolbar.config.debug</string>
 			<key>WindowString</key>
-			<string>708 700 717 437 0 0 1600 1178 </string>
+			<string>46 204 802 625 0 0 1680 1028 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D54069F1CE1000CFCEE</string>
@@ -824,5 +877,5 @@
 										<string>1CDD528C0622207200134675</string>
 										<key>PBXProjectModuleLabel</key>
-										<string>ICeCoffEETerminal.m</string>
+										<string>ICeCoffEEServicePrefController.m</string>
 										<key>StatusBarVisibility</key>
 										<false/>
@@ -831,7 +884,7 @@
 									<dict>
 										<key>Frame</key>
-										<string>{{0, 0}, {854, 208}}</string>
+										<string>{{0, 0}, {854, 393}}</string>
 										<key>RubberWindowFrame</key>
-										<string>60 124 854 724 0 0 1280 1002 </string>
+										<string>441 72 854 724 0 0 1680 1028 </string>
 									</dict>
 									<key>Module</key>
@@ -842,5 +895,5 @@
 							</array>
 							<key>Proportion</key>
-							<string>208pt</string>
+							<string>393pt</string>
 						</dict>
 						<dict>
@@ -857,12 +910,12 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 213}, {854, 491}}</string>
+								<string>{{0, 398}, {854, 306}}</string>
 								<key>RubberWindowFrame</key>
-								<string>60 124 854 724 0 0 1280 1002 </string>
+								<string>441 72 854 724 0 0 1680 1028 </string>
 							</dict>
 							<key>Module</key>
 							<string>PBXProjectFindModule</string>
 							<key>Proportion</key>
-							<string>491pt</string>
+							<string>306pt</string>
 						</dict>
 					</array>
@@ -882,11 +935,11 @@
 			<array>
 				<string>1C530D57069F1CE1000CFCEE</string>
-				<string>E14DF2140A6F550600346107</string>
-				<string>E14DF2150A6F550600346107</string>
+				<string>E189CA920C1BB33B003035DA</string>
+				<string>E189CA930C1BB33B003035DA</string>
 				<string>1CDD528C0622207200134675</string>
 				<string>1CD0528E0623707200166675</string>
 			</array>
 			<key>WindowString</key>
-			<string>60 124 854 724 0 0 1280 1002 </string>
+			<string>441 72 854 724 0 0 1680 1028 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D57069F1CE1000CFCEE</string>
@@ -925,5 +978,5 @@
 								<string>{{0, 0}, {818, 688}}</string>
 								<key>RubberWindowFrame</key>
-								<string>697 141 818 708 0 0 1600 1178 </string>
+								<string>838 91 818 708 0 0 1680 1028 </string>
 							</dict>
 							<key>Module</key>
@@ -948,9 +1001,9 @@
 			<array>
 				<string>1C530D5B069F1CE1000CFCEE</string>
-				<string>E170E0A2083655F400B484AC</string>
+				<string>E189CABD0C1BBB21003035DA</string>
 				<string>1C78EAAC065D492600B07095</string>
 			</array>
 			<key>WindowString</key>
-			<string>697 141 818 708 0 0 1600 1178 </string>
+			<string>838 91 818 708 0 0 1680 1028 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D5B069F1CE1000CFCEE</string>
@@ -1018,16 +1071,16 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 0}, {702, 248}}</string>
+								<string>{{0, 0}, {761, 255}}</string>
 								<key>RubberWindowFrame</key>
-								<string>263 67 702 268 0 0 1024 746 </string>
+								<string>882 18 761 275 0 0 1680 1028 </string>
 							</dict>
 							<key>Module</key>
 							<string>PBXRunSessionModule</string>
 							<key>Proportion</key>
-							<string>248pt</string>
+							<string>255pt</string>
 						</dict>
 					</array>
 					<key>Proportion</key>
-					<string>248pt</string>
+					<string>255pt</string>
 				</dict>
 			</array>
@@ -1043,16 +1096,16 @@
 			<array>
 				<string>1C0AD2B3069F1EA900FABCE6</string>
-				<string>E1D95C2E0A712A58007FAE3C</string>
+				<string>E189C9450C1B8A76003035DA</string>
 				<string>1CD0528B0623707200166675</string>
-				<string>E1D95C2F0A712A58007FAE3C</string>
+				<string>E189C9460C1B8A76003035DA</string>
 			</array>
 			<key>ToolbarConfiguration</key>
 			<string>xcode.toolbar.config.run</string>
 			<key>WindowString</key>
-			<string>263 67 702 268 0 0 1024 746 </string>
+			<string>882 18 761 275 0 0 1680 1028 </string>
 			<key>WindowToolGUID</key>
 			<string>1C0AD2B3069F1EA900FABCE6</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>
@@ -1083,5 +1136,5 @@
 								<string>{{0, 0}, {457, 0}}</string>
 								<key>RubberWindowFrame</key>
-								<string>109 609 457 342 0 0 1920 1178 </string>
+								<string>396 357 457 342 0 0 1680 1028 </string>
 							</dict>
 							<key>Module</key>
@@ -1105,5 +1158,5 @@
 								<string>{{0, 5}, {457, 296}}</string>
 								<key>RubberWindowFrame</key>
-								<string>109 609 457 342 0 0 1920 1178 </string>
+								<string>396 357 457 342 0 0 1680 1028 </string>
 							</dict>
 							<key>Module</key>
@@ -1128,5 +1181,5 @@
 			<array>
 				<string>E18B4838082F0937000E96F5</string>
-				<string>E16950A90A6D9D780085C106</string>
+				<string>E189CCB40C1CD69E003035DA</string>
 				<string>1C78EAB2065D492600B07095</string>
 				<string>1CD052920623707200166675</string>
@@ -1135,5 +1188,5 @@
 			<string>xcode.toolbar.config.scm</string>
 			<key>WindowString</key>
-			<string>109 609 457 342 0 0 1920 1178 </string>
+			<string>396 357 457 342 0 0 1680 1028 </string>
 			<key>WindowToolGUID</key>
 			<string>E18B4838082F0937000E96F5</string>
@@ -1142,4 +1195,6 @@
 		</dict>
 		<dict>
+			<key>FirstTimeWindowDisplayed</key>
+			<false/>
 			<key>Identifier</key>
 			<string>windowTool.breakpoints</string>
@@ -1152,6 +1207,4 @@
 					<array>
 						<dict>
-							<key>BecomeActive</key>
-							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -1207,5 +1260,5 @@
 								</array>
 								<key>RubberWindowFrame</key>
-								<string>315 424 744 409 0 0 1440 878 </string>
+								<string>792 558 744 409 0 0 1680 1028 </string>
 							</dict>
 							<key>Module</key>
@@ -1215,4 +1268,6 @@
 						</dict>
 						<dict>
+							<key>BecomeActive</key>
+							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -1227,5 +1282,5 @@
 								<string>{{190, 0}, {554, 368}}</string>
 								<key>RubberWindowFrame</key>
-								<string>315 424 744 409 0 0 1440 878 </string>
+								<string>792 558 744 409 0 0 1680 1028 </string>
 							</dict>
 							<key>Module</key>
@@ -1254,6 +1309,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>1CDDB66807F98D9800BB5817</string>
-				<string>1CDDB66907F98D9800BB5817</string>
+				<string>E1FC8BCA0C19D5840021AB09</string>
+				<string>E1FC8BCB0C19D5840021AB09</string>
 				<string>1CE0B1FE06471DED0097A5F4</string>
 				<string>1CA1AED706398EBD00589147</string>
@@ -1262,7 +1317,7 @@
 			<string>xcode.toolbar.config.breakpoints</string>
 			<key>WindowString</key>
-			<string>315 424 744 409 0 0 1440 878 </string>
+			<string>792 558 744 409 0 0 1680 1028 </string>
 			<key>WindowToolGUID</key>
-			<string>1CDDB66807F98D9800BB5817</string>
+			<string>E1FC8BCA0C19D5840021AB09</string>
 			<key>WindowToolIsVisible</key>
 			<true/>