Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2	(revision 319)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2	(revision 320)
@@ -191,7 +191,7 @@
 			<dict>
 				<key>PBXProjectModuleGUID</key>
-				<string>E189CCCB0C1CD955003035DA</string>
+				<string>E1C30A8E0C224B3A00EAE48A</string>
 				<key>PBXProjectModuleLabel</key>
-				<string>ICeCoffEEServicePrefController.m</string>
+				<string>ICeCoffEE.m</string>
 				<key>PBXSplitModuleInNavigatorKey</key>
 				<dict>
@@ -199,14 +199,14 @@
 					<dict>
 						<key>PBXProjectModuleGUID</key>
-						<string>E189CCCC0C1CD955003035DA</string>
+						<string>E1C30A8F0C224B3A00EAE48A</string>
 						<key>PBXProjectModuleLabel</key>
-						<string>ICeCoffEEServicePrefController.m</string>
+						<string>ICeCoffEE.m</string>
 						<key>_historyCapacity</key>
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E189CCCD0C1CD955003035DA</string>
+						<string>E1C30AFD0C2255B100EAE48A</string>
 						<key>history</key>
 						<array>
-							<string>E189CCCA0C1CD946003035DA</string>
+							<string>E1C30A8A0C224B3200EAE48A</string>
 						</array>
 					</dict>
@@ -220,9 +220,369 @@
 			<dict>
 				<key>Frame</key>
-				<string>{{0, -1}, {841, 947}}</string>
+				<string>{{0, -1}, {813, 726}}</string>
 				<key>PBXModuleWindowStatusBarHidden2</key>
 				<true/>
 				<key>RubberWindowFrame</key>
-				<string>590 29 841 967 0 0 1680 1028 </string>
+				<string>21 33 813 746 0 0 1680 1028 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E1C30A970C224B3A00EAE48A</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>ICeCoffEETerminal.m</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E1C30A980C224B3A00EAE48A</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>ICeCoffEETerminal.m</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E1C30AFE0C2255B100EAE48A</string>
+						<key>history</key>
+						<array>
+							<string>E1C30A7D0C2245EB00EAE48A</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {772, 796}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>848 44 772 816 0 0 1680 1028 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E1C30A9A0C224B3A00EAE48A</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>ICeCoffEEWebKit.m</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E1C30A9B0C224B3A00EAE48A</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>ICeCoffEEWebKit.m</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E1C30AFF0C2255B100EAE48A</string>
+						<key>history</key>
+						<array>
+							<string>E1C30A7B0C2244A200EAE48A</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {867, 886}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>834 90 867 906 0 0 1680 1028 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E1ED530F0C1F17270038715E</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>WebFrameBridge.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E1ED53100C1F17270038715E</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>WebFrameBridge.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E1C30B000C2255B100EAE48A</string>
+						<key>history</key>
+						<array>
+							<string>E1ED531B0C1F635A0038715E</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {772, 796}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>107 123 772 816 0 0 1680 1028 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E1ED52C40C1F0C780038715E</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>WebHTMLView.mm</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E1ED52C50C1F0C780038715E</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>WebHTMLView.mm</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E1C30B010C2255B100EAE48A</string>
+						<key>history</key>
+						<array>
+							<string>E1ED531D0C1F635A0038715E</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {772, 796}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>95 212 772 816 0 0 1680 1028 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E1ED52BE0C1F0C780038715E</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>WebDocument.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E1ED52BF0C1F0C780038715E</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>WebDocument.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E1C30B020C2255B100EAE48A</string>
+						<key>history</key>
+						<array>
+							<string>E1ED531F0C1F635A0038715E</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {772, 796}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>38 186 772 816 0 0 1680 1028 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E1ED52910C1F094B0038715E</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>WebView.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E1ED52920C1F094B0038715E</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>WebView.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E1C30B030C2255B100EAE48A</string>
+						<key>history</key>
+						<array>
+							<string>E1ED53210C1F635A0038715E</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {772, 796}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>293 207 772 816 0 0 1680 1028 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E1ED52970C1F094B0038715E</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>DOMNode.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E1ED52980C1F094B0038715E</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>DOMNode.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E1C30B040C2255B100EAE48A</string>
+						<key>history</key>
+						<array>
+							<string>E1ED53230C1F635A0038715E</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {772, 796}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>153 81 772 816 0 0 1680 1028 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E1ED529D0C1F094B0038715E</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>WebHTMLViewPrivate.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E1ED529E0C1F094B0038715E</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>WebHTMLViewPrivate.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E1C30B050C2255B100EAE48A</string>
+						<key>history</key>
+						<array>
+							<string>E1ED53250C1F635A0038715E</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {772, 796}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>84 144 772 816 0 0 1680 1028 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E1ED52A30C1F094B0038715E</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>WebFrameViewInternal.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E1ED52A40C1F094B0038715E</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>WebFrameViewInternal.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E1C30B060C2255B100EAE48A</string>
+						<key>history</key>
+						<array>
+							<string>E1ED53270C1F635A0038715E</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {772, 796}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>91 95 772 816 0 0 1680 1028 </string>
 			</dict>
 		</dict>
@@ -295,4 +655,5 @@
 										<string>E12FEC3C04959F1C00AEFBF9</string>
 										<string>E1BF159F03DBA81600050002</string>
+										<string>E1BF154403DB950B00050002</string>
 										<string>29B97317FDCFA39411CA2CEA</string>
 										<string>19C28FACFE9D520D11CA2CBB</string>
@@ -301,11 +662,11 @@
 									<array>
 										<array>
-											<integer>39</integer>
-											<integer>37</integer>
+											<integer>5</integer>
+											<integer>1</integer>
 											<integer>0</integer>
 										</array>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-									<string>{{0, 601}, {298, 621}}</string>
+									<string>{{0, 0}, {298, 621}}</string>
 								</dict>
 								<key>PBXTopSmartGroupGIDs</key>
@@ -326,5 +687,5 @@
 								</array>
 								<key>RubberWindowFrame</key>
-								<string>1356 321 315 707 0 0 1680 1028 </string>
+								<string>1352 321 315 707 0 0 1680 1028 </string>
 							</dict>
 							<key>Module</key>
@@ -365,5 +726,5 @@
 									<array>
 										<array>
-											<integer>0</integer>
+											<integer>5</integer>
 										</array>
 									</array>
@@ -465,6 +826,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E189C9340C1B8A76003035DA</string>
-				<string>E189C9350C1B8A76003035DA</string>
+				<string>E1C3096A0C22420700EAE48A</string>
+				<string>E1C3096B0C22420700EAE48A</string>
 				<string>1C9437FD063B20B00039CFAC</string>
 				<string>1C9437FE063B20B00039CFAC</string>
@@ -499,19 +860,21 @@
 	<key>WindowOrderList</key>
 	<array>
-		<string>E18B4838082F0937000E96F5</string>
-		<string>1C335F2C07B51CD20023D4EE</string>
-		<string>E189CABE0C1BBB21003035DA</string>
-		<string>E189CABF0C1BBB21003035DA</string>
-		<string>1C530D5B069F1CE1000CFCEE</string>
 		<string>1C530D57069F1CE1000CFCEE</string>
+		<string>E1ED52A30C1F094B0038715E</string>
+		<string>E1ED529D0C1F094B0038715E</string>
+		<string>E1ED52970C1F094B0038715E</string>
+		<string>E1ED52910C1F094B0038715E</string>
+		<string>E1ED52BE0C1F0C780038715E</string>
+		<string>E1ED52C40C1F0C780038715E</string>
+		<string>E1ED530F0C1F17270038715E</string>
+		<string>E1C30A9A0C224B3A00EAE48A</string>
+		<string>E1C30A970C224B3A00EAE48A</string>
 		<string>1C530D52069F1CE1000CFCEE</string>
-		<string>1C530D54069F1CE1000CFCEE</string>
-		<string>E189C9440C1B8A76003035DA</string>
+		<string>E1C30A8E0C224B3A00EAE48A</string>
 		<string>1C0AD2B3069F1EA900FABCE6</string>
 		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
-		<string>E189CCCB0C1CD955003035DA</string>
 	</array>
 	<key>WindowString</key>
-	<string>1356 321 315 707 0 0 1680 1028 </string>
+	<string>1352 321 315 707 0 0 1680 1028 </string>
 	<key>WindowTools</key>
 	<array>
@@ -694,5 +1057,5 @@
 							<dict>
 								<key>PBXBuildLogShowsTranscriptDefaultKey</key>
-								<string>{{0, 267}, {868, 160}}</string>
+								<string>{{0, 98}, {868, 329}}</string>
 								<key>PBXProjectModuleGUID</key>
 								<string>XCMainBuildResultsModuleGUID</string>
@@ -732,5 +1095,5 @@
 			<array>
 				<string>1C530D52069F1CE1000CFCEE</string>
-				<string>E189C93D0C1B8A76003035DA</string>
+				<string>E1C30AA40C224B3A00EAE48A</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
@@ -743,5 +1106,5 @@
 			<string>1C530D52069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>
@@ -877,5 +1240,5 @@
 										<string>1CDD528C0622207200134675</string>
 										<key>PBXProjectModuleLabel</key>
-										<string>ICeCoffEEServicePrefController.m</string>
+										<string>ICeCoffEE.m</string>
 										<key>StatusBarVisibility</key>
 										<false/>
@@ -886,5 +1249,5 @@
 										<string>{{0, 0}, {854, 393}}</string>
 										<key>RubberWindowFrame</key>
-										<string>441 72 854 724 0 0 1680 1028 </string>
+										<string>712 69 854 724 0 0 1680 1028 </string>
 									</dict>
 									<key>Module</key>
@@ -912,5 +1275,5 @@
 								<string>{{0, 398}, {854, 306}}</string>
 								<key>RubberWindowFrame</key>
-								<string>441 72 854 724 0 0 1680 1028 </string>
+								<string>712 69 854 724 0 0 1680 1028 </string>
 							</dict>
 							<key>Module</key>
@@ -935,11 +1298,11 @@
 			<array>
 				<string>1C530D57069F1CE1000CFCEE</string>
-				<string>E189CA920C1BB33B003035DA</string>
-				<string>E189CA930C1BB33B003035DA</string>
+				<string>E1C30AA50C224B3A00EAE48A</string>
+				<string>E1C30AA60C224B3A00EAE48A</string>
 				<string>1CDD528C0622207200134675</string>
 				<string>1CD0528E0623707200166675</string>
 			</array>
 			<key>WindowString</key>
-			<string>441 72 854 724 0 0 1680 1028 </string>
+			<string>712 69 854 724 0 0 1680 1028 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D57069F1CE1000CFCEE</string>
@@ -1071,16 +1434,16 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 0}, {761, 255}}</string>
+								<string>{{0, 0}, {869, 782}}</string>
 								<key>RubberWindowFrame</key>
-								<string>882 18 761 275 0 0 1680 1028 </string>
+								<string>574 34 869 802 0 0 1680 1028 </string>
 							</dict>
 							<key>Module</key>
 							<string>PBXRunSessionModule</string>
 							<key>Proportion</key>
-							<string>255pt</string>
+							<string>782pt</string>
 						</dict>
 					</array>
 					<key>Proportion</key>
-					<string>255pt</string>
+					<string>782pt</string>
 				</dict>
 			</array>
@@ -1096,12 +1459,12 @@
 			<array>
 				<string>1C0AD2B3069F1EA900FABCE6</string>
-				<string>E189C9450C1B8A76003035DA</string>
+				<string>E1C309730C22420700EAE48A</string>
 				<string>1CD0528B0623707200166675</string>
-				<string>E189C9460C1B8A76003035DA</string>
+				<string>E1C309740C22420700EAE48A</string>
 			</array>
 			<key>ToolbarConfiguration</key>
 			<string>xcode.toolbar.config.run</string>
 			<key>WindowString</key>
-			<string>882 18 761 275 0 0 1680 1028 </string>
+			<string>574 34 869 802 0 0 1680 1028 </string>
 			<key>WindowToolGUID</key>
 			<string>1C0AD2B3069F1EA900FABCE6</string>