Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2	(revision 320)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2	(revision 321)
@@ -191,4 +191,44 @@
 			<dict>
 				<key>PBXProjectModuleGUID</key>
+				<string>E1C30BC80C236E7B00EAE48A</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>Info-APE Module.plist</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E1C30BC90C236E7B00EAE48A</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>Info-APE Module.plist</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E1C30C410C23752F00EAE48A</string>
+						<key>history</key>
+						<array>
+							<string>E1C30BE00C236EBE00EAE48A</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {746, 491}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>774 26 746 511 0 0 1680 1028 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
 				<string>E1C30A8E0C224B3A00EAE48A</string>
 				<key>PBXProjectModuleLabel</key>
@@ -205,5 +245,5 @@
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E1C30AFD0C2255B100EAE48A</string>
+						<string>E1C30C420C23752F00EAE48A</string>
 						<key>history</key>
 						<array>
@@ -245,5 +285,5 @@
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E1C30AFE0C2255B100EAE48A</string>
+						<string>E1C30C430C23752F00EAE48A</string>
 						<key>history</key>
 						<array>
@@ -285,5 +325,5 @@
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E1C30AFF0C2255B100EAE48A</string>
+						<string>E1C30C440C23752F00EAE48A</string>
 						<key>history</key>
 						<array>
@@ -311,7 +351,7 @@
 			<dict>
 				<key>PBXProjectModuleGUID</key>
-				<string>E1ED530F0C1F17270038715E</string>
+				<string>E1C30C1A0C2372E400EAE48A</string>
 				<key>PBXProjectModuleLabel</key>
-				<string>WebFrameBridge.h</string>
+				<string>ICeCoffEENonHighlightingTextFieldCell.m</string>
 				<key>PBXSplitModuleInNavigatorKey</key>
 				<dict>
@@ -319,14 +359,14 @@
 					<dict>
 						<key>PBXProjectModuleGUID</key>
-						<string>E1ED53100C1F17270038715E</string>
+						<string>E1C30C1B0C2372E400EAE48A</string>
 						<key>PBXProjectModuleLabel</key>
-						<string>WebFrameBridge.h</string>
+						<string>ICeCoffEENonHighlightingTextFieldCell.m</string>
 						<key>_historyCapacity</key>
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E1C30B000C2255B100EAE48A</string>
+						<string>E1C30C450C23752F00EAE48A</string>
 						<key>history</key>
 						<array>
-							<string>E1ED531B0C1F635A0038715E</string>
+							<string>E1C30C0E0C2372CB00EAE48A</string>
 						</array>
 					</dict>
@@ -340,249 +380,9 @@
 			<dict>
 				<key>Frame</key>
-				<string>{{0, -1}, {772, 796}}</string>
+				<string>{{0, -1}, {841, 947}}</string>
 				<key>PBXModuleWindowStatusBarHidden2</key>
 				<true/>
 				<key>RubberWindowFrame</key>
-				<string>107 123 772 816 0 0 1680 1028 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E1ED52C40C1F0C780038715E</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>WebHTMLView.mm</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E1ED52C50C1F0C780038715E</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>WebHTMLView.mm</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E1C30B010C2255B100EAE48A</string>
-						<key>history</key>
-						<array>
-							<string>E1ED531D0C1F635A0038715E</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {772, 796}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>95 212 772 816 0 0 1680 1028 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E1ED52BE0C1F0C780038715E</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>WebDocument.h</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E1ED52BF0C1F0C780038715E</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>WebDocument.h</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E1C30B020C2255B100EAE48A</string>
-						<key>history</key>
-						<array>
-							<string>E1ED531F0C1F635A0038715E</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {772, 796}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>38 186 772 816 0 0 1680 1028 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E1ED52910C1F094B0038715E</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>WebView.h</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E1ED52920C1F094B0038715E</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>WebView.h</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E1C30B030C2255B100EAE48A</string>
-						<key>history</key>
-						<array>
-							<string>E1ED53210C1F635A0038715E</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {772, 796}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>293 207 772 816 0 0 1680 1028 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E1ED52970C1F094B0038715E</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>DOMNode.h</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E1ED52980C1F094B0038715E</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>DOMNode.h</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E1C30B040C2255B100EAE48A</string>
-						<key>history</key>
-						<array>
-							<string>E1ED53230C1F635A0038715E</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {772, 796}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>153 81 772 816 0 0 1680 1028 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E1ED529D0C1F094B0038715E</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>WebHTMLViewPrivate.h</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E1ED529E0C1F094B0038715E</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>WebHTMLViewPrivate.h</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E1C30B050C2255B100EAE48A</string>
-						<key>history</key>
-						<array>
-							<string>E1ED53250C1F635A0038715E</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {772, 796}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>84 144 772 816 0 0 1680 1028 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E1ED52A30C1F094B0038715E</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>WebFrameViewInternal.h</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E1ED52A40C1F094B0038715E</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>WebFrameViewInternal.h</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E1C30B060C2255B100EAE48A</string>
-						<key>history</key>
-						<array>
-							<string>E1ED53270C1F635A0038715E</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {772, 796}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>91 95 772 816 0 0 1680 1028 </string>
+				<string>835 61 841 967 0 0 1680 1028 </string>
 			</dict>
 		</dict>
@@ -655,6 +455,8 @@
 										<string>E12FEC3C04959F1C00AEFBF9</string>
 										<string>E1BF159F03DBA81600050002</string>
+										<string>E1BF15A203DBAA5600050002</string>
 										<string>E1BF154403DB950B00050002</string>
 										<string>29B97317FDCFA39411CA2CEA</string>
+										<string>E12FEC6104959FB800AEFBF9</string>
 										<string>19C28FACFE9D520D11CA2CBB</string>
 									</array>
@@ -662,6 +464,4 @@
 									<array>
 										<array>
-											<integer>5</integer>
-											<integer>1</integer>
 											<integer>0</integer>
 										</array>
@@ -722,9 +522,16 @@
 									<array>
 										<string>1C37FBAC04509CD000000102</string>
+										<string>E1C30B700C236C2600EAE48A</string>
+										<string>E1C30B710C236C2600EAE48A</string>
+										<string>E1C30B720C236C2600EAE48A</string>
+										<string>E1C30B730C236C2600EAE48A</string>
+										<string>E1C30B740C236C2600EAE48A</string>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateSelectionKey</key>
 									<array>
 										<array>
-											<integer>5</integer>
+											<integer>16</integer>
+											<integer>4</integer>
+											<integer>0</integer>
 										</array>
 									</array>
@@ -773,5 +580,5 @@
 									<key>PBXSmartGroupTreeModuleColumnWidthsKey</key>
 									<array>
-										<real>291</real>
+										<real>298</real>
 									</array>
 									<key>PBXSmartGroupTreeModuleColumnsKey_v4</key>
@@ -791,5 +598,5 @@
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-									<string>{{0, 0}, {291, 440}}</string>
+									<string>{{0, 0}, {298, 621}}</string>
 								</dict>
 								<key>PBXTopSmartGroupGIDs</key>
@@ -801,9 +608,9 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{10, 27}, {308, 458}}</string>
+								<string>{{10, 27}, {315, 639}}</string>
 								<key>GroupTreeTableConfiguration</key>
 								<array>
 									<string>MainColumn</string>
-									<real>291</real>
+									<real>298</real>
 								</array>
 							</dict>
@@ -860,17 +667,13 @@
 	<key>WindowOrderList</key>
 	<array>
-		<string>1C530D57069F1CE1000CFCEE</string>
-		<string>E1ED52A30C1F094B0038715E</string>
-		<string>E1ED529D0C1F094B0038715E</string>
-		<string>E1ED52970C1F094B0038715E</string>
-		<string>E1ED52910C1F094B0038715E</string>
-		<string>E1ED52BE0C1F0C780038715E</string>
-		<string>E1ED52C40C1F0C780038715E</string>
-		<string>E1ED530F0C1F17270038715E</string>
+		<string>E18B4838082F0937000E96F5</string>
+		<string>1C0AD2B3069F1EA900FABCE6</string>
+		<string>E1C30C1A0C2372E400EAE48A</string>
 		<string>E1C30A9A0C224B3A00EAE48A</string>
 		<string>E1C30A970C224B3A00EAE48A</string>
+		<string>E1C30A8E0C224B3A00EAE48A</string>
+		<string>E1C30BC80C236E7B00EAE48A</string>
 		<string>1C530D52069F1CE1000CFCEE</string>
-		<string>E1C30A8E0C224B3A00EAE48A</string>
-		<string>1C0AD2B3069F1EA900FABCE6</string>
+		<string>1C530D57069F1CE1000CFCEE</string>
 		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
 	</array>
@@ -1235,4 +1038,6 @@
 							<array>
 								<dict>
+									<key>BecomeActive</key>
+									<true/>
 									<key>ContentConfiguration</key>
 									<dict>
@@ -1240,5 +1045,5 @@
 										<string>1CDD528C0622207200134675</string>
 										<key>PBXProjectModuleLabel</key>
-										<string>ICeCoffEE.m</string>
+										<string>ICeCoffEENonHighlightingButtonCell.m</string>
 										<key>StatusBarVisibility</key>
 										<false/>
@@ -1249,5 +1054,5 @@
 										<string>{{0, 0}, {854, 393}}</string>
 										<key>RubberWindowFrame</key>
-										<string>712 69 854 724 0 0 1680 1028 </string>
+										<string>761 -74 854 724 0 0 1680 1028 </string>
 									</dict>
 									<key>Module</key>
@@ -1261,6 +1066,4 @@
 						</dict>
 						<dict>
-							<key>BecomeActive</key>
-							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -1275,5 +1078,5 @@
 								<string>{{0, 398}, {854, 306}}</string>
 								<key>RubberWindowFrame</key>
-								<string>712 69 854 724 0 0 1680 1028 </string>
+								<string>761 -74 854 724 0 0 1680 1028 </string>
 							</dict>
 							<key>Module</key>
@@ -1304,9 +1107,9 @@
 			</array>
 			<key>WindowString</key>
-			<string>712 69 854 724 0 0 1680 1028 </string>
+			<string>761 -74 854 724 0 0 1680 1028 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D57069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>
@@ -1470,5 +1273,5 @@
 			<string>1C0AD2B3069F1EA900FABCE6</string>
 			<key>WindowToolIsVisible</key>
-			<true/>
+			<false/>
 		</dict>
 		<dict>
@@ -1544,5 +1347,5 @@
 			<array>
 				<string>E18B4838082F0937000E96F5</string>
-				<string>E189CCB40C1CD69E003035DA</string>
+				<string>E1C30C3E0C23751800EAE48A</string>
 				<string>1C78EAB2065D492600B07095</string>
 				<string>1CD052920623707200166675</string>