Index: trunk/Cocoa/AntiRSI/AntiRSI.xcodeproj/project.pbxproj
===================================================================
--- trunk/Cocoa/AntiRSI/AntiRSI.xcodeproj/project.pbxproj	(revision 330)
+++ trunk/Cocoa/AntiRSI/AntiRSI.xcodeproj/project.pbxproj	(revision 332)
@@ -8,4 +8,12 @@
 
 /* Begin PBXBuildFile section */
+		464D9ADE0C6A622B005A0582 /* CTBadge.h in Headers */ = {isa = PBXBuildFile; fileRef = 464D9ADA0C6A622B005A0582 /* CTBadge.h */; };
+		464D9ADF0C6A622B005A0582 /* CTBadge.m in Sources */ = {isa = PBXBuildFile; fileRef = 464D9ADB0C6A622B005A0582 /* CTBadge.m */; };
+		464D9AE00C6A622B005A0582 /* CTGradient.h in Headers */ = {isa = PBXBuildFile; fileRef = 464D9ADC0C6A622B005A0582 /* CTGradient.h */; };
+		464D9AE10C6A622B005A0582 /* CTGradient.m in Sources */ = {isa = PBXBuildFile; fileRef = 464D9ADD0C6A622B005A0582 /* CTGradient.m */; };
+		464D9B790C6A760B005A0582 /* CTBadge_1.pdf in Resources */ = {isa = PBXBuildFile; fileRef = 464D9B750C6A760B005A0582 /* CTBadge_1.pdf */; };
+		464D9B7A0C6A760B005A0582 /* CTBadge_3.pdf in Resources */ = {isa = PBXBuildFile; fileRef = 464D9B760C6A760B005A0582 /* CTBadge_3.pdf */; };
+		464D9B7B0C6A760B005A0582 /* CTBadge_4.pdf in Resources */ = {isa = PBXBuildFile; fileRef = 464D9B770C6A760B005A0582 /* CTBadge_4.pdf */; };
+		464D9B7C0C6A760B005A0582 /* CTBadge_5.pdf in Resources */ = {isa = PBXBuildFile; fileRef = 464D9B780C6A760B005A0582 /* CTBadge_5.pdf */; };
 		4DB6164E061B59EA002EF355 /* AntiRSI.h in Headers */ = {isa = PBXBuildFile; fileRef = 4DB6164C061B59EA002EF355 /* AntiRSI.h */; };
 		4DB6164F061B59EA002EF355 /* AntiRSI.m in Sources */ = {isa = PBXBuildFile; fileRef = 4DB6164D061B59EA002EF355 /* AntiRSI.m */; };
@@ -31,4 +39,12 @@
 		29B97325FDCFA39411CA2CEA /* Foundation.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = Foundation.framework; path = /System/Library/Frameworks/Foundation.framework; sourceTree = "<absolute>"; };
 		32CA4F630368D1EE00C91783 /* AntiRSI_Prefix.pch */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = AntiRSI_Prefix.pch; sourceTree = "<group>"; };
+		464D9ADA0C6A622B005A0582 /* CTBadge.h */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = sourcecode.c.h; name = CTBadge.h; path = CTBadge/CTBadge.h; sourceTree = "<group>"; };
+		464D9ADB0C6A622B005A0582 /* CTBadge.m */ = {isa = PBXFileReference; fileEncoding = 30; indentWidth = 2; lastKnownFileType = sourcecode.c.objc; name = CTBadge.m; path = CTBadge/CTBadge.m; sourceTree = "<group>"; tabWidth = 4; usesTabs = 0; };
+		464D9ADC0C6A622B005A0582 /* CTGradient.h */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = sourcecode.c.h; name = CTGradient.h; path = CTBadge/CTGradient.h; sourceTree = "<group>"; };
+		464D9ADD0C6A622B005A0582 /* CTGradient.m */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = sourcecode.c.objc; name = CTGradient.m; path = CTBadge/CTGradient.m; sourceTree = "<group>"; };
+		464D9B750C6A760B005A0582 /* CTBadge_1.pdf */ = {isa = PBXFileReference; lastKnownFileType = image.pdf; path = CTBadge_1.pdf; sourceTree = "<group>"; };
+		464D9B760C6A760B005A0582 /* CTBadge_3.pdf */ = {isa = PBXFileReference; lastKnownFileType = image.pdf; path = CTBadge_3.pdf; sourceTree = "<group>"; };
+		464D9B770C6A760B005A0582 /* CTBadge_4.pdf */ = {isa = PBXFileReference; lastKnownFileType = image.pdf; path = CTBadge_4.pdf; sourceTree = "<group>"; };
+		464D9B780C6A760B005A0582 /* CTBadge_5.pdf */ = {isa = PBXFileReference; lastKnownFileType = image.pdf; path = CTBadge_5.pdf; sourceTree = "<group>"; };
 		4DB6164C061B59EA002EF355 /* AntiRSI.h */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = sourcecode.c.h; path = AntiRSI.h; sourceTree = "<group>"; };
 		4DB6164D061B59EA002EF355 /* AntiRSI.m */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = sourcecode.c.objc; path = AntiRSI.m; sourceTree = "<group>"; wrapsLines = 1; };
@@ -99,4 +115,5 @@
 			children = (
 				080E96DDFE201D6D7F000001 /* Classes */,
+				464D9AE40C6A622F005A0582 /* CTBadge */,
 				29B97315FDCFA39411CA2CEA /* Other Sources */,
 				29B97317FDCFA39411CA2CEA /* Resources */,
@@ -134,4 +151,28 @@
 			);
 			name = Frameworks;
+			sourceTree = "<group>";
+		};
+		464D9AE40C6A622F005A0582 /* CTBadge */ = {
+			isa = PBXGroup;
+			children = (
+				464D9B740C6A760B005A0582 /* badges */,
+				464D9ADA0C6A622B005A0582 /* CTBadge.h */,
+				464D9ADB0C6A622B005A0582 /* CTBadge.m */,
+				464D9ADC0C6A622B005A0582 /* CTGradient.h */,
+				464D9ADD0C6A622B005A0582 /* CTGradient.m */,
+			);
+			name = CTBadge;
+			sourceTree = "<group>";
+		};
+		464D9B740C6A760B005A0582 /* badges */ = {
+			isa = PBXGroup;
+			children = (
+				464D9B750C6A760B005A0582 /* CTBadge_1.pdf */,
+				464D9B760C6A760B005A0582 /* CTBadge_3.pdf */,
+				464D9B770C6A760B005A0582 /* CTBadge_4.pdf */,
+				464D9B780C6A760B005A0582 /* CTBadge_5.pdf */,
+			);
+			name = badges;
+			path = CTBadge/badges;
 			sourceTree = "<group>";
 		};
@@ -147,4 +188,6 @@
 				4DF73F68061E136200B0D9C9 /* AntiRSIView.h in Headers */,
 				E1F60362098592D800806C3B /* AntiRSILevelIndicator.h in Headers */,
+				464D9ADE0C6A622B005A0582 /* CTBadge.h in Headers */,
+				464D9AE00C6A622B005A0582 /* CTGradient.h in Headers */,
 			);
 			runOnlyForDeploymentPostprocessing = 0;
@@ -202,4 +245,8 @@
 				8D11072B0486CEB800E47090 /* InfoPlist.strings in Resources */,
 				4DF73F86061E155C00B0D9C9 /* AntiRSI.icns in Resources */,
+				464D9B790C6A760B005A0582 /* CTBadge_1.pdf in Resources */,
+				464D9B7A0C6A760B005A0582 /* CTBadge_3.pdf in Resources */,
+				464D9B7B0C6A760B005A0582 /* CTBadge_4.pdf in Resources */,
+				464D9B7C0C6A760B005A0582 /* CTBadge_5.pdf in Resources */,
 			);
 			runOnlyForDeploymentPostprocessing = 0;
@@ -216,4 +263,6 @@
 				4DF73F67061E136200B0D9C9 /* AntiRSIView.m in Sources */,
 				E1F60361098592D800806C3B /* AntiRSILevelIndicator.m in Sources */,
+				464D9ADF0C6A622B005A0582 /* CTBadge.m in Sources */,
+				464D9AE10C6A622B005A0582 /* CTGradient.m in Sources */,
 			);
 			runOnlyForDeploymentPostprocessing = 0;